DVILJK(1)

NAME
dvilj4, dvilj4l, dvilj2p, dvilj - convert a TeX DVI file to PCL, for HP LaserJet printers

SYNOPSIS
dvilj [--Dnumber] [-ccopies] [-dmode] [-D] [-E] [-eoutputfile] [-ffrompage] [-g] [-hheaderfile] [-l] [-Mflag] [-mmag] [-ppages] [-q] [-r] [-ttopage] [-spagesize] [-v] [-Vmode] [-w] [-xxoff(mm)] [-yyoff(mm)] [-Xxoff(dots)] [-Yyoff(dots)] [-z] [-] [filename]

DESCRIPTION
Dvilj and siblings convert TeX-output .dvi files into PCL (the Hewlett-Packard Printer Control Language) commands suitable for printing on a HP LaserJet+, HP LaserJet IIP (using dvilj2p), HP LaserJet 4 (using dvilj4), and fully compatible printers.

Dvilj4 also provides support for the builtin Intellifont and TrueType fonts; TFM and VF files are provided in the distribution. Virtual fonts are not supported directly by Dvilj, so you must run dvicopy(1) first, or otherwise expand the virtual fonts

All programs are generated from one source file dvi2xx.c. They are usually called via a shell script or as a line printer filter. One such script, dvihp, is included in the distribution. It provides command-line options similar to those of dvips(1).

OPTIONS

--Dnumber
    Debug according to the bits of number; see the Kpathsea manual for values. Also turns on general verbosity.

-cnumber
    print each page number times (including original)

-dnumber
    print in duplex mode. The option -d1 means long edge binding, -d2 stands for short edge binding. This option is only selectable from dvilj2p, and is known to work on the LaserJet IId, LaserJet IIId, and LaserJet 4.

-D[-]
    Double-sided printing - see below; -D1 prints odd sides only, -D2 is for even pages, a trailing - suppresses printing of empty padding pages.

-E  Switch printer into econo mode (dvilj4 only).

-eoutfile
    Send output to outfile instead of the basename of dvi file extended with `.lj'. If outfile is `-' (as in `-e-') the output is directed to standard output and can be directly piped into a spooler.

-fpagenum
    Print pages with TeX page numbers greater than or equal to pagenum.

-g  ``go'' mode: do not reset printer at start of job.

-hheaderfile
    Copy headerfile to output before translation of the DVI file. Used to send arbitrary commands to the laserprinter.

-l  print output in landscape mode; supported only by dvilj2p and dvilj4.

-Mflag
    Do (not) call mktexpk to generate fonts on demand. -M1 and -M are equivalent. -M0 enables invoking mktexpk. (This is the same as dvips.) The default behavior (i.e., if no -M option is given) is chosen at compile-time; as distributed, mktexpk is enabled. -M is only valid if dvi2xx was compiled with support for mktexpk.

-mmagnification
    Specify the magnification to use. The following are available:
    -m#usermag e.g., #900
    -m0 equivalent to -m#1000
    -mh equivalent to -m#1095
    -m1 equivalent to -m#1200
    -mq equivalent to -m#1250
    -m2 equivalent to -m#1440
    -m3 equivalent to -m#1728
    -m4 equivalent to -m#2074
    -m5 equivalent to -m#2488

-ppagecount
    print pagecount pages after the starting page.

-q  Quiet operation: omit final statistics, etc.

-r  toggle page reversal; by default, pages are reversed.

-spagesize
    Specify the page size:
    -s1: executive (7.25in x 10.5in)
    -s2: letter (8.5in x 11in)
    -s3: legal (8.5in x 14in)
    -s26: A4 (210mm x 297mm)
    -s80: monarch (3.875in x 7.5in)
    -s81: commercial-10 (4.125in x 9.5in)
    -s90: international DL (110mm x 220mm)
    -s91: international C5 (162mm x 229mm)
    All values are from the LJ II technical reference manual. If the -s commandline option is omitted, no clipping is performed at the bottom of the page.

-tpagenum
    Print pages with TeX page numbers less than or equal to pagenum.

-v  Verbose mode: list fonts used, etc.

-Vmode
    compatibility mode. Use K for Kyocera, B for Brother, 6 for LJ6 printers.

-w  Omit warnings.

-xoffset
    global x-offset in mm on output page relative to 1 inch/1 inch origin

-yoffset
    global y-offset in mm on output page relative to 1 inch/1 inch origin

-Xoffset
    global x-offset in dots on output page (overrides 1 inch/1 inch origin)

-Yoffset
    global y-offset in dots on output page (overrides 1 inch/1 inch origin)

-z  print a test page with the page counter at end of job

-   Take input from standard input (must be seekable), write to standard output.

If no arguments are specified a brief usage message is displayed.

\special COMMANDS
TeX `\special' commands that are implemented:

\special{file=<filename>}
    copy specified file to the printer; either vector- or bitmap-graphics PMP commands

\special{hpfile=<filename>}
    Same as `file'.

others:
    There are a few other special commands implented for the LJ-series, which should only be used in connection with the distributed style files (e.g., graybox.sty). They may change in forthcoming versions.

You can include Encapsulated PostScript (EPS) files in the PCL files output by dvilj if you convert them to PCL first. The distribution includes a script `epspcl' to do this (using Ghostscript, so your Ghostscript must have the necessary LaserJet driver(s) compiled in).

DOUBLE PAGE PRINTING
The command line option -D causes the printer to print in doublepage mode, that is, roughly speaking, printing first the even pages and then the odd pages of a document. If -D is used to print both even and odd pages (-D is used without the optional 1 or 2) the following will happen after half of the pages is printed: LJ: the printer stops, shows message "FEED" and switches on manual feed led. The printer continues when either the printed pages are fed into the manual page feeder, or the operator pushes the continue button (after placing first the printed pages into the paper tray).

If -D1 was specified only odd pages will be printed, -D2 can be used for even pages. A trailing `-' (as in -D-, -D1- or -D2-) supresses printing of empty pages which are generated for padding otherwise.

The driver allows the -D option for both print-directions (front-to-back or back-to-front printing). It tries to be clever in certain cases: when a document has an odd number of pages it inserts in the right place an empty page when a document starts with page 0 the driver inserts an empty page after the 0-page when a piece of a document is printed that starts with an even page-number it prints this page at the backside of the first page to ensure that the odd sides are always on the frontside. The 0-page is treated like an odd page.

The doubleside option works for all LJs, not only for the new D model with does doubleside-printing (actually, I don't know whether it makes much sense on the new LJ II D at all).

Caveat on the doubleside-option: When it is used frequently or on very large files, it might become necessary to clean the printer much more frequently.

The command line option -pX can be used to abort printing after the output of X pages (can lead to strange results together with -D). I personally dislike this option. The secure way of printing a part of a document is using -f (from) and -t (to).

ENVIRONMENT
Dviljk uses the same environment variables and algorithms for finding font files as TeX and its friends do. See the documentation for the Kpathsea library for details. (Repeating it here is too cumbersome.)

DVILJFONTS, if set, overrides all other font paths.

DVILJMAKEPK, if set, overrides `mktexpk' as the name of the command to execute to create a PK file if one isn't found.

The DVILJSIZES variable may be set to indicate which sizes of fonts are available. It should consist of a list of numbers separated by colons. If the list begins with a colon, the system default sizes are used, as well. Sizes are expressed in dots per inch; decimals may be used for ``pxl'' files: for example, a 300 dots per inch file magnified by half a step comes out to 1643 dots per five inches, which should be encoded as 328.6. dvilj tries the actual size of the font before trying any of the given sizes.

KPATHSEA_DEBUG: Trace Kpathsea lookups; set to -1 for complete tracing.

AUTHOR
Gustaf Neumann, Wirtschaftsuniversitaet Wien
neumann@wu-wien.ac.at

dviljk changes by kb@mail.tug.org; email bug reports to tex-k@mail.tug.org.